petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscLayoutSetSize

Sets the global size for a PetscLayout object.

### Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutSetSize(PetscLayout map,PetscInt n)

Logically Collective on PetscLayout Many br

### Input Parameters

| map | - pointer to the map Many br
| n | - the global size Many br

Many br

### Notes

Call this after the call to PetscLayoutCreate() Many br

### See Also

PetscLayoutCreate(), PetscLayoutSetLocalSize(), PetscLayoutGetLocalSize(), PetscLayoutGetSize(), PetscLayoutSetUp()
PetscLayoutGetRange(), PetscLayoutGetRanges(), PetscLayoutSetBlockSize(), PetscLayoutGetBlockSize() Many br

Level:developer
Location:src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages